/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.binding.soap.dfault.axiom;

import java.util.Iterator;

import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axiom.om.impl.dom.DocumentImpl;
import org.apache.axiom.om.impl.dom.ElementImpl;
import org.apache.axiom.om.impl.dom.NamespaceImpl;
import org.apache.axiom.soap.SOAP12Constants;
import org.apache.axiom.soap.SOAPFaultDetail;
import org.w3c.dom.Document;

/**
 * Workaround for bug in axiom SOAP12FaultDetailImpl which only serializes the first
 * detail entry (as of version 1.2.5 snapshot).
 */
public class SOAP12FaultDetailFix extends ElementImpl implements SOAPFaultDetail {

    private static final NamespaceImpl NS = new NamespaceImpl(SOAP12Constants.SOAP_ENVELOPE_NAMESPACE_URI, "soapenv");
    
    public SOAP12FaultDetailFix(Document ownerDocument, OMFactory factory) {
        super((DocumentImpl)ownerDocument, "Detail", NS, factory);
    }
    
    public void addDetailEntry(OMElement detailElement) {
        super.addChild(detailElement);
    }

    public Iterator<?> getAllDetailEntries() {
        return super.getChildren();
    }

}
