/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.binding.soap.dfault.util;

import javax.xml.namespace.QName;

public class Constants {
    
    /****************************** SOAP Constants **********************************/
    
    public static final String SOAP_11_ENVELOPE_NS = "http://schemas.xmlsoap.org/soap/envelope/";
    public static final String SOAP_12_ENVELOPE_NS = "http://www.w3.org/2003/05/soap-envelope";
    public static final String SOAP_11_MEDIA_TYPE = "text/xml";
    public static final String SOAP_12_MEDIA_TYPE = "application/soap+xml";
    public static final String SOAP_MTOM_MEDIA_TYPE = "application/xop+xml";
    public static final String SOAP_ACTION_HEADER = "SOAPAction"; 
    public static final String SOAP_ENV_NAMESPACE_PREFIX = "soap";
    public static final String SOAP_ENV_ELEMENT = "Envelope";
    public static final String SOAP_BODY_ELEMENT = "Body";
    public static final String SOAP_HEADER_ELEMENT = "Header";
    public static final String SOAP_FAULT_ELEMENT = "Fault";
    public static final String SOAP_11_FAULT_CODE_ELEMENT = "faultcode";
    public static final String SOAP_12_FAULT_CODE_ELEMENT = "Code";
    public static final String SOAP_11_FAULT_DETAIL_ELEMENT = "detail";
    public static final String SOAP_12_FAULT_DETAIL_ELEMENT = "Detail";
    public static final String SOAP_FAULT_STRING_ELEMENT = "faultstring";
    public static final String SOAP_12_FAULT_CODE_VALUE_ELEMENT = "Value";
    public static final String SOAP_12_FAULT_REASON_ELEMENT = "Reason";
    public static final String SOAP_12_FAULT_REASON_TEXT_ELEMENT = "Text";
    public static final String SOAP_12_FAULT_SUBCODE_ELEMENT = "Subcode";
    public static final String SOAP_12_NEXT_ROLE_URI = "http://www.w3.org/2003/05/soap-envelope/role/next";
    public static final String SOAP_12_NONE_ROLE_URI = "http://www.w3.org/2003/05/soap-envelope/role/none";
    public static final String SOAP_12_ULTIMATE_RECEIVER_ROLE_URI = "http://www.w3.org/2003/05/soap-envelope/role/ultimateReceiver";
    public static final String SOAP_11_NEXT_ACTOR_URI = "http://schemas.xmlsoap.org/soap/actor/next";
    public static final QName SOAP_11_ENV_TYPE = new QName(SOAP_11_ENVELOPE_NS, SOAP_ENV_ELEMENT);
    public static final QName SOAP_11_FAULT_TYPE = new QName(SOAP_11_ENVELOPE_NS, SOAP_FAULT_ELEMENT);
    public static final QName SOAP_11_HEADER_TYPE = new QName(SOAP_11_ENVELOPE_NS, SOAP_HEADER_ELEMENT);
    public static final QName SOAP_12_HEADER_TYPE = new QName(SOAP_12_ENVELOPE_NS, SOAP_HEADER_ELEMENT);
    public static final QName SOAP_11_BODY_TYPE = new QName(SOAP_11_ENVELOPE_NS, SOAP_BODY_ELEMENT);
    public static final QName SOAP_12_BODY_TYPE = new QName(SOAP_12_ENVELOPE_NS, SOAP_BODY_ELEMENT);
    public static final QName SOAP_11_MUST_UNDERSTAND_ATTRIB = new QName(SOAP_11_ENVELOPE_NS, "mustUnderstand");
    public static final QName SOAP_12_MUST_UNDERSTAND_ATTRIB = new QName(SOAP_12_ENVELOPE_NS, "mustUnderstand");
    public static final QName SOAP_11_MUST_UNDERSTAND_FAULT = new QName(SOAP_11_ENVELOPE_NS, "MustUnderstand");
    public static final QName SOAP_12_MUST_UNDERSTAND_FAULT = new QName(SOAP_12_ENVELOPE_NS, "MustUnderstand");
    public static final QName SOAP_11_VERSION_MISMATCH_FAULT = new QName(SOAP_11_ENVELOPE_NS, "VersionMismatch");
    public static final QName SOAP_12_VERSION_MISMATCH_FAULT = new QName(SOAP_12_ENVELOPE_NS, "VersionMismatch");
    public static final QName SOAP_ACTOR_ATTRIB = new QName(SOAP_11_ENVELOPE_NS, "actor");
    public static final QName SOAP_ROLE_ATTRIB = new QName(SOAP_12_ENVELOPE_NS, "role");
    public static final String SOAP_NOT_UNDERSTOOD = "NotUnderstood";
    public static final String SOAP_MUST_UNDERSTAND_TRUE = "1";
    public static final String SOAP_MUST_UNDERSTAND_FALSE = "0";
    public static final String SOAP_12_MUST_UNDERSTAND_TRUE = "true";
    
    /****************************** JMS Constants *************************/
    
    public static final String MESSAGE_ID_PROPERTY = "MessageID";
    public static final String MY_SERVICE_PROPERTY = "MyService";
    public static final String FILE_NAME_PROPERTY = "FileName";
    public static final String GZIP_RESPONSE_PROPERTY = "GZIPResponse";
    public static final String IS_FAULT_RESPONSE_PROPERTY = "IsFaultRespone";
    public static final String CONTENT_TYPE_PROPERTY = "ContentType";
    
    /****************************** Misc Constants *************************/
    
    public static final String LINE_BREAK = System.getProperty("line.separator");
    public static final String UTF_8 = "utf-8";
    
    /****************************** HTTP Constants **********************************/
    
    public static final String HEADER_CONTENT_TYPE = "Content-Type";
    public static final String HEADER_CONTENT_ENCODING = "Content-Encoding";
    public static final String HEADER_ACCEPT_ENCODING = "Accept-Encoding";
    public static final String HEADER_CONTENT_LENGTH = "Content-Length";
    public static final String COMPRESSION_GZIP = "gzip";
    public static final String DEFAULT_CONTENT_TYPE = "text/plain; charset=us-ascii";
    public static final int SC_CONTINUE = 100;
    public static final int SC_SWITCHING_PROTOCOLS = 101;
    public static final int SC_OK = 200;
    public static final int SC_CREATED = 201;
    public static final int SC_ACCEPTED = 202;
    public static final int SC_NON_AUTHORITATIVE_INFORMATION = 203;
    public static final int SC_NO_CONTENT = 204;
    public static final int SC_RESET_CONTENT = 205;
    public static final int SC_PARTIAL_CONTENT = 206;
    public static final int SC_MULTIPLE_CHOICES = 300;
    public static final int SC_MOVED_PERMANENTLY = 301;
    public static final int SC_MOVED_TEMPORARILY = 302;
    public static final int SC_FOUND = 302;
    public static final int SC_SEE_OTHER = 303;
    public static final int SC_NOT_MODIFIED = 304;
    public static final int SC_USE_PROXY = 305;
    public static final int SC_TEMPORARY_REDIRECT = 307;
    public static final int SC_BAD_REQUEST = 400;
    public static final int SC_UNAUTHORIZED = 401;
    public static final int SC_PAYMENT_REQUIRED = 402;
    public static final int SC_FORBIDDEN = 403;
    public static final int SC_NOT_FOUND = 404;
    public static final int SC_METHOD_NOT_ALLOWED = 405;
    public static final int SC_NOT_ACCEPTABLE = 406;
    public static final int SC_PROXY_AUTHENTICATION_REQUIRED = 407;
    public static final int SC_REQUEST_TIMEOUT = 408;
    public static final int SC_CONFLICT = 409;
    public static final int SC_GONE = 410;
    public static final int SC_LENGTH_REQUIRED = 411;
    public static final int SC_PRECONDITION_FAILED = 412;
    public static final int SC_REQUEST_ENTITY_TOO_LARGE = 413;
    public static final int SC_REQUEST_URI_TOO_LONG = 414;
    public static final int SC_UNSUPPORTED_MEDIA_TYPE = 415;
    public static final int SC_REQUESTED_RANGE_NOT_SATISFIABLE = 416;
    public static final int SC_EXPECTATION_FAILED = 417;
    public static final int SC_INTERNAL_SERVER_ERROR = 500;
    public static final int SC_NOT_IMPLEMENTED = 501;
    public static final int SC_BAD_GATEWAY = 502;
    public static final int SC_SERVICE_UNAVAILABLE = 503;
    public static final int SC_GATEWAY_TIMEOUT = 504;
    public static final int SC_HTTP_VERSION_NOT_SUPPORTED = 505;

    
}
