/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.binding.soap.dfault.wsa;

import org.bluestemsoftware.specification.eoa.ext.binding.soap.SOAPVersion;
import org.bluestemsoftware.specification.eoa.ext.feature.ws.addressing.WSAMessageModule;
import org.bluestemsoftware.specification.eoa.ext.feature.ws.addressing.soap.fault.DuplicateMessageIDFault;

public class DuplicateMessageIDFaultImpl extends DuplicateMessageIDFault implements WSAddressingFaultImpl {

    private static final long serialVersionUID = 1L;

    private WSAMessageModule wsamm;

    public DuplicateMessageIDFaultImpl(SOAPVersion soapVersion, String namespace) {
        super(soapVersion, namespace);
    }

    public DuplicateMessageIDFaultImpl(SOAPVersion soapVersion, WSAMessageModule wsamm) {
        super(soapVersion, wsamm.getNamespace());
        this.wsamm = wsamm;
    }

    public WSAMessageModule getOffendingMessageModule() {
        return wsamm;
    }

    public void setOffendingMessageModule(WSAMessageModule wsamm) {
        this.wsamm = wsamm;
    }

}
